API ReferenceReport
Export vacation report by Date into pdf file
Export vacation report by Date into pdf file
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Query Parameters
userIds[]?array<>
Ids of users that VacationReport is going to be returned for. If empty - return all possible.
vacationTypeIds[]?array<>
Ids of VacationTypes. If empty - return all.
dateStart*string
Format
date-timedateEnd*string
Format
date-timesaveReport?boolean
If true, generated file will be saved as UserReport
Default
falsesaveReportName?string
Name for saved report. Required if saveReport=true
Length
1 <= length <= 255saveReportDescription?string
Description for saved report
Length
1 <= length <= 5000Response Body
curl -X GET "https://example.com/calendar/vacation-reports/by-date/pdf?dateStart=2019-08-24T14%3A15%3A22Z&dateEnd=2019-08-24T14%3A15%3A22Z"[ { "key": "string", "downloadUrl": "string" }]